- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new KeyRing in a given project and location.
HTTP request
POST https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*}/mpc/keyRings
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance resource name where the key ring will be created. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form |
Query parameters
| Parameters | |
|---|---|
keyRingId |
Required. The ID to use for the key ring, which will become the final component of the key ring's resource name. It must be unique within a location and match the regular expression |
Request body
The request body contains an instance of KeyRing.
Response body
If successful, the response body contains a newly created instance of KeyRing.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.